Update a service registry connection on a gateway group
PUT /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}
PUT /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthRequest Body
application/json
Response Body
application/json
curl -X PUT "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335" \ -H "Content-Type: application/json" \ -d '{ "type": "kubernetes", "kubernetes_config": {} }'Successful operation.
{
"value": {}
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
PUT /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}
Update a service registry connection on a gateway group
IAM Action: gateway:UpdateServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.
Request body
Content type: application/json
- allOf variant 1
name(string, optional): The object name.description(string, optional): Service registry description.health_check(object, optional): Health check configurations.health_check.probe_interval(integer, optional): The time interval for checking service registry (in seconds).health_check.probe_timeout(integer, optional): The timeout for checking service registry (in seconds).- allOf variant 2
- oneOf variant 1: Kubernetes
type(string, required): The kubernetes service type.kubernetes_config(object, required): Kubernetes service registry configurations.kubernetes_config.service(object, optional): The IP address of the Kubernetes API server.kubernetes_config.service.schema(string, required):kubernetes_config.service.host(string, required): The HTTP host.kubernetes_config.service.port(string, required):kubernetes_config.namespace_selector(object,null, optional): The namespace selector to filter target namespaces.kubernetes_config.namespace_selector.equal(string, optional): Value to match namespaces whose name is exactly equal to the specified string.kubernetes_config.namespace_selector.not_equal(string, optional): Value to exclude namespaces whose name is exactly equal to the specified string.kubernetes_config.namespace_selector.match(array, optional): List of values to match namespaces whose names match any of the specified strings.kubernetes_config.namespace_selector.not_match(array, optional): List of values to exclude namespaces whose names match any of the specified strings.- oneOf variant 1: Equal
- oneOf variant 2: Not Equal
- oneOf variant 3: Match
- oneOf variant 4: Not Match
kubernetes_config.label_selector(string, optional): The label selector to filter target endpoints.kubernetes_config.client(object, optional): The client name.- oneOf variant 1: Token File
kubernetes_config.client.token_file(string, required): The path to the token file of the Kubernetes service account.- oneOf variant 2: Token Value
kubernetes_config.client.token(string, required): The token of the Kubernetes service account.- oneOf variant 2: Nacos
type(string, required): The Nacos service type.nacos_config(object, required): Nacos service registry configurations.nacos_config.hosts(array, required): The address of the Nacos API server.nacos_config.prefix(string, optional): The prefix of the Nacos API.nacos_config.default_weight(integer, optional): The default weight of the endpoints.nacos_config.fetch_interval(integer, optional): The interval for fetching endpoints (in seconds).nacos_config.timeout(object, optional): Timeout settings for connecting to, sending requests to, and receiving responses from Nacos, in seconds.nacos_config.timeout.connect(integer, optional): Connection timeout.nacos_config.timeout.send(integer, optional): Sending timeout in seconds.nacos_config.timeout.read(integer, optional): Reading timeout in seconds.nacos_config.auth(object, optional): Nacos authentication configuration.- oneOf variant 1: Username & Password
nacos_config.auth.username(string, required): The username of the Nacos API.nacos_config.auth.password(string, required): The password of the Nacos API.- oneOf variant 2: Token
nacos_config.auth.token(string, required): The token of the Nacos service.- oneOf variant 3: Access Key & Secret Key
nacos_config.auth.access_key(string, required): The access key of the Nacos API.nacos_config.auth.secret_key(string, required): The secret key of the Nacos API.- oneOf variant 3: Consul
type(string, required): The Consul service type.consul_config(object, required): Consul service registry configurations.consul_config.servers(array, required): The addresses of the Consul servers.consul_config.token(string, optional): The ACL token for authenticating with Consul.consul_config.weight(integer, optional): The default weight of the discovered endpoints.consul_config.fetch_interval(integer, optional): The interval for fetching endpoints (in seconds).consul_config.timeout(object, optional): Timeout settings for connecting to, sending requests to, and receiving responses from Consul, in seconds.consul_config.timeout.connect(integer, optional): Connection timeout.consul_config.timeout.send(integer, optional): Sending timeout in seconds.consul_config.timeout.read(integer, optional): Reading timeout in seconds.
Responses
200: Successful operation.value(object, optional): The specific resource.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X PUT '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}'